Start maintenance mode

  • POST /platform/infrastructure/constructors/{constructor_id}/maintenance-mode/_start
Auth

Start maintenance mode of a constructor. It will stop constructing new plans while continuing with on-going ones.

Path parameters

constructor_id string required

Identifier for the constructor

Responses

The start maintenance mode command was issued successfully

application/json

Response Type: object

The start maintenance mode command was prohibited for the given constructor. (code: constructors.command_prohibited)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

The constructor specified by {constructor_id} cannot be found. (code: constructors.constructor_not_found)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response